"Fossies" - the Fresh Open Source Software Archive

Member "sfk-1.9.6/Makefile.in" (22 Feb 2020, 20706 Bytes) of package /linux/misc/sfk-1.9.6.tar.gz:


As a special service "Fossies" has tried to format the requested text file into HTML format (style: standard) with prefixed line numbers. Alternatively you can here view or download the uninterpreted source code file.

    1 # Makefile.in generated by automake 1.11.1 from Makefile.am.
    2 # @configure_input@
    3 
    4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
    5 # 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
    6 # Inc.
    7 # This Makefile.in is free software; the Free Software Foundation
    8 # gives unlimited permission to copy and/or distribute it,
    9 # with or without modifications, as long as this notice is preserved.
   10 
   11 # This program is distributed in the hope that it will be useful,
   12 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
   13 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
   14 # PARTICULAR PURPOSE.
   15 
   16 @SET_MAKE@
   17 
   18 
   19 VPATH = @srcdir@
   20 pkgdatadir = $(datadir)/@PACKAGE@
   21 pkgincludedir = $(includedir)/@PACKAGE@
   22 pkglibdir = $(libdir)/@PACKAGE@
   23 pkglibexecdir = $(libexecdir)/@PACKAGE@
   24 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
   25 install_sh_DATA = $(install_sh) -c -m 644
   26 install_sh_PROGRAM = $(install_sh) -c
   27 install_sh_SCRIPT = $(install_sh) -c
   28 INSTALL_HEADER = $(INSTALL_DATA)
   29 transform = $(program_transform_name)
   30 NORMAL_INSTALL = :
   31 PRE_INSTALL = :
   32 POST_INSTALL = :
   33 NORMAL_UNINSTALL = :
   34 PRE_UNINSTALL = :
   35 POST_UNINSTALL = :
   36 bin_PROGRAMS = sfk$(EXEEXT)
   37 subdir = .
   38 DIST_COMMON = README $(am__configure_deps) $(dist_noinst_SCRIPTS) \
   39 	$(srcdir)/Makefile.am $(srcdir)/Makefile.in \
   40 	$(srcdir)/config.h.in $(top_srcdir)/configure AUTHORS COPYING \
   41 	ChangeLog INSTALL NEWS depcomp install-sh missing
   42 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
   43 am__aclocal_m4_deps = $(top_srcdir)/configure.ac
   44 #am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
   45 #	$(ACLOCAL_M4)
   46 am__configure_deps =
   47 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
   48  configure.lineno config.status.lineno
   49 mkinstalldirs = $(install_sh) -d
   50 CONFIG_HEADER = config.h
   51 CONFIG_CLEAN_FILES =
   52 CONFIG_CLEAN_VPATH_FILES =
   53 am__installdirs = "$(DESTDIR)$(bindir)"
   54 PROGRAMS = $(bin_PROGRAMS)
   55 am__dirstamp = $(am__leading_dot)dirstamp
   56 am_sfk_OBJECTS = sfk.$(OBJEXT) sfkext.$(OBJEXT) sfkpack.$(OBJEXT)
   57 sfk_OBJECTS = $(am_sfk_OBJECTS)
   58 sfk_LDADD = $(LDADD)
   59 SCRIPTS = $(dist_noinst_SCRIPTS)
   60 DEFAULT_INCLUDES = -I.@am__isrc@
   61 depcomp = $(SHELL) $(top_srcdir)/depcomp
   62 am__depfiles_maybe = depfiles
   63 am__mv = mv -f
   64 CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
   65 	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
   66 CXXLD = $(CXX)
   67 CXXLINK = $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) \
   68 	-o $@
   69 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
   70 	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
   71 CCLD = $(CC)
   72 LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
   73 SOURCES = $(sfk_SOURCES)
   74 DIST_SOURCES = $(sfk_SOURCES)
   75 ETAGS = etags
   76 CTAGS = ctags
   77 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
   78 distdir = $(PACKAGE)-$(VERSION)
   79 top_distdir = $(distdir)
   80 am__remove_distdir = \
   81   { test ! -d "$(distdir)" \
   82     || { find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
   83          && rm -fr "$(distdir)"; }; }
   84 DIST_ARCHIVES = $(distdir).tar.gz
   85 GZIP_ENV = --best
   86 distuninstallcheck_listfiles = find . -type f -print
   87 distcleancheck_listfiles = find . -type f -print
   88 ACLOCAL = @ACLOCAL@
   89 AMTAR = @AMTAR@
   90 AUTOCONF = @AUTOCONF@
   91 AUTOHEADER = @AUTOHEADER@
   92 AUTOMAKE = @AUTOMAKE@
   93 AWK = @AWK@
   94 CPPFLAGS = @CPPFLAGS@
   95 CXX = @CXX@
   96 CXXDEPMODE = @CXXDEPMODE@
   97 CXXFLAGS = @CXXFLAGS@
   98 CYGPATH_W = @CYGPATH_W@
   99 DEFS = @DEFS@
  100 DEPDIR = @DEPDIR@
  101 ECHO_C = @ECHO_C@
  102 ECHO_N = @ECHO_N@
  103 ECHO_T = @ECHO_T@
  104 EXEEXT = @EXEEXT@
  105 INSTALL = @INSTALL@
  106 INSTALL_DATA = @INSTALL_DATA@
  107 INSTALL_PROGRAM = @INSTALL_PROGRAM@
  108 INSTALL_SCRIPT = @INSTALL_SCRIPT@
  109 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
  110 LDFLAGS = @LDFLAGS@
  111 LIBOBJS = @LIBOBJS@
  112 LIBS = @LIBS@
  113 LTLIBOBJS = @LTLIBOBJS@
  114 MAKEINFO = @MAKEINFO@
  115 MKDIR_P = @MKDIR_P@
  116 OBJEXT = @OBJEXT@
  117 PACKAGE = @PACKAGE@
  118 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
  119 PACKAGE_NAME = @PACKAGE_NAME@
  120 PACKAGE_STRING = @PACKAGE_STRING@
  121 PACKAGE_TARNAME = @PACKAGE_TARNAME@
  122 PACKAGE_URL = @PACKAGE_URL@
  123 PACKAGE_VERSION = @PACKAGE_VERSION@
  124 PATH_SEPARATOR = @PATH_SEPARATOR@
  125 SET_MAKE = @SET_MAKE@
  126 SHELL = @SHELL@
  127 STRIP = @STRIP@
  128 VERSION = @VERSION@
  129 abs_builddir = @abs_builddir@
  130 abs_srcdir = @abs_srcdir@
  131 abs_top_builddir = @abs_top_builddir@
  132 abs_top_srcdir = @abs_top_srcdir@
  133 ac_ct_CXX = @ac_ct_CXX@
  134 am__include = @am__include@
  135 am__leading_dot = @am__leading_dot@
  136 am__quote = @am__quote@
  137 am__tar = @am__tar@
  138 am__untar = @am__untar@
  139 bindir = @bindir@
  140 build_alias = @build_alias@
  141 builddir = @builddir@
  142 datadir = @datadir@
  143 datarootdir = @datarootdir@
  144 docdir = @docdir@
  145 dvidir = @dvidir@
  146 exec_prefix = @exec_prefix@
  147 host_alias = @host_alias@
  148 htmldir = @htmldir@
  149 includedir = @includedir@
  150 infodir = @infodir@
  151 install_sh = @install_sh@
  152 libdir = @libdir@
  153 libexecdir = @libexecdir@
  154 localedir = @localedir@
  155 localstatedir = @localstatedir@
  156 mandir = @mandir@
  157 mkdir_p = @mkdir_p@
  158 oldincludedir = @oldincludedir@
  159 pdfdir = @pdfdir@
  160 prefix = @prefix@
  161 program_transform_name = @program_transform_name@
  162 psdir = @psdir@
  163 sbindir = @sbindir@
  164 sharedstatedir = @sharedstatedir@
  165 srcdir = @srcdir@
  166 sysconfdir = @sysconfdir@
  167 target_alias = @target_alias@
  168 top_build_prefix = @top_build_prefix@
  169 top_builddir = @top_builddir@
  170 top_srcdir = @top_srcdir@
  171 AUTOMAKE_OPTIONS = subdir-objects
  172 ACLOCAL_AMFLAGS = ${ACLOCAL_FLAGS}
  173 sfk_SOURCES = sfkbase.hpp sfkext.hpp \
  174               sfk.cpp sfkext.cpp sfkpack.cpp
  175 
  176 dist_noinst_SCRIPTS = autogen.sh
  177 all: config.h
  178 	$(MAKE) $(AM_MAKEFLAGS) all-am
  179 
  180 .SUFFIXES:
  181 .SUFFIXES: .cpp .o .obj
  182 am--refresh:
  183 	@:
  184 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
  185 	@for dep in $?; do \
  186 	  case '$(am__configure_deps)' in \
  187 	    *$$dep*) \
  188 	      echo ' cd $(srcdir) && $(AUTOMAKE) --gnu'; \
  189 	      $(am__cd) $(srcdir) && $(AUTOMAKE) --gnu \
  190 		&& exit 0; \
  191 	      exit 1;; \
  192 	  esac; \
  193 	done; \
  194 	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu Makefile'; \
  195 	$(am__cd) $(top_srcdir) && \
  196 	  $(AUTOMAKE) --gnu Makefile
  197 .PRECIOUS: Makefile
  198 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
  199 	@case '$?' in \
  200 	  *config.status*) \
  201 	    echo ' $(SHELL) ./config.status'; \
  202 	    $(SHELL) ./config.status;; \
  203 	  *) \
  204 	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
  205 	    cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
  206 	esac;
  207 
  208 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
  209 	$(SHELL) ./config.status --recheck
  210 
  211 $(top_srcdir)/configure:  $(am__configure_deps)
  212 	$(am__cd) $(srcdir) && $(AUTOCONF)
  213 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
  214 	$(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
  215 $(am__aclocal_m4_deps):
  216 
  217 config.h: stamp-h1
  218 	@if test ! -f $@; then \
  219 	  rm -f stamp-h1; \
  220 	  $(MAKE) $(AM_MAKEFLAGS) stamp-h1; \
  221 	else :; fi
  222 
  223 stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
  224 	@rm -f stamp-h1
  225 	cd $(top_builddir) && $(SHELL) ./config.status config.h
  226 $(srcdir)/config.h.in:  $(am__configure_deps) 
  227 	($(am__cd) $(top_srcdir) && $(AUTOHEADER))
  228 	rm -f stamp-h1
  229 	touch $@
  230 
  231 distclean-hdr:
  232 	-rm -f config.h stamp-h1
  233 install-binPROGRAMS: $(bin_PROGRAMS)
  234 	@$(NORMAL_INSTALL)
  235 	test -z "$(bindir)" || $(MKDIR_P) "$(DESTDIR)$(bindir)"
  236 	@list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
  237 	for p in $$list; do echo "$$p $$p"; done | \
  238 	sed 's/$(EXEEXT)$$//' | \
  239 	while read p p1; do if test -f $$p; \
  240 	  then echo "$$p"; echo "$$p"; else :; fi; \
  241 	done | \
  242 	sed -e 'p;s,.*/,,;n;h' -e 's|.*|.|' \
  243 	    -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
  244 	sed 'N;N;N;s,\n, ,g' | \
  245 	$(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
  246 	  { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
  247 	    if ($$2 == $$4) files[d] = files[d] " " $$1; \
  248 	    else { print "f", $$3 "/" $$4, $$1; } } \
  249 	  END { for (d in files) print "f", d, files[d] }' | \
  250 	while read type dir files; do \
  251 	    if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
  252 	    test -z "$$files" || { \
  253 	      echo " $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(bindir)$$dir'"; \
  254 	      $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(bindir)$$dir" || exit $$?; \
  255 	    } \
  256 	; done
  257 
  258 uninstall-binPROGRAMS:
  259 	@$(NORMAL_UNINSTALL)
  260 	@list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
  261 	files=`for p in $$list; do echo "$$p"; done | \
  262 	  sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
  263 	      -e 's/$$/$(EXEEXT)/' `; \
  264 	test -n "$$list" || exit 0; \
  265 	echo " ( cd '$(DESTDIR)$(bindir)' && rm -f" $$files ")"; \
  266 	cd "$(DESTDIR)$(bindir)" && rm -f $$files
  267 
  268 clean-binPROGRAMS:
  269 	-test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)
  270 $(am__dirstamp):
  271 	@$(MKDIR_P) src
  272 	@: > $(am__dirstamp)
  273 $(DEPDIR)/$(am__dirstamp):
  274 	@$(MKDIR_P) $(DEPDIR)
  275 	@: > $(DEPDIR)/$(am__dirstamp)
  276 sfk.$(OBJEXT): $(am__dirstamp) $(DEPDIR)/$(am__dirstamp)
  277 sfkext.$(OBJEXT): $(am__dirstamp) \
  278 	$(DEPDIR)/$(am__dirstamp)
  279 sfkpack.$(OBJEXT): $(am__dirstamp) \
  280 	$(DEPDIR)/$(am__dirstamp)
  281 sfk$(EXEEXT): $(sfk_OBJECTS) $(sfk_DEPENDENCIES) 
  282 	@rm -f sfk$(EXEEXT)
  283 	$(CXXLINK) $(sfk_OBJECTS) $(sfk_LDADD) $(LIBS)
  284 
  285 mostlyclean-compile:
  286 	-rm -f *.$(OBJEXT)
  287 	-rm -f sfk.$(OBJEXT)
  288 	-rm -f sfkext.$(OBJEXT)
  289 	-rm -f sfkpack.$(OBJEXT)
  290 
  291 distclean-compile:
  292 	-rm -f *.tab.c
  293 
  294 @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/sfk.Po@am__quote@
  295 @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/sfkext.Po@am__quote@
  296 @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/sfkpack.Po@am__quote@
  297 
  298 .cpp.o:
  299 @am__fastdepCXX_TRUE@	depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
  300 @am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
  301 @am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
  302 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
  303 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  304 @am__fastdepCXX_FALSE@	$(CXXCOMPILE) -c -o $@ $<
  305 
  306 .cpp.obj:
  307 @am__fastdepCXX_TRUE@	depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
  308 @am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
  309 @am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
  310 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
  311 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  312 @am__fastdepCXX_FALSE@	$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
  313 
  314 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
  315 	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
  316 	unique=`for i in $$list; do \
  317 	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  318 	  done | \
  319 	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
  320 	      END { if (nonempty) { for (i in files) print i; }; }'`; \
  321 	mkid -fID $$unique
  322 tags: TAGS
  323 
  324 TAGS:  $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
  325 		$(TAGS_FILES) $(LISP)
  326 	set x; \
  327 	here=`pwd`; \
  328 	list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
  329 	unique=`for i in $$list; do \
  330 	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  331 	  done | \
  332 	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
  333 	      END { if (nonempty) { for (i in files) print i; }; }'`; \
  334 	shift; \
  335 	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
  336 	  test -n "$$unique" || unique=$$empty_fix; \
  337 	  if test $$# -gt 0; then \
  338 	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  339 	      "$$@" $$unique; \
  340 	  else \
  341 	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  342 	      $$unique; \
  343 	  fi; \
  344 	fi
  345 ctags: CTAGS
  346 CTAGS:  $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
  347 		$(TAGS_FILES) $(LISP)
  348 	list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
  349 	unique=`for i in $$list; do \
  350 	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  351 	  done | \
  352 	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
  353 	      END { if (nonempty) { for (i in files) print i; }; }'`; \
  354 	test -z "$(CTAGS_ARGS)$$unique" \
  355 	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
  356 	     $$unique
  357 
  358 GTAGS:
  359 	here=`$(am__cd) $(top_builddir) && pwd` \
  360 	  && $(am__cd) $(top_srcdir) \
  361 	  && gtags -i $(GTAGS_ARGS) "$$here"
  362 
  363 distclean-tags:
  364 	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
  365 
  366 distdir: $(DISTFILES)
  367 	$(am__remove_distdir)
  368 	test -d "$(distdir)" || mkdir "$(distdir)"
  369 	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  370 	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  371 	list='$(DISTFILES)'; \
  372 	  dist_files=`for file in $$list; do echo $$file; done | \
  373 	  sed -e "s|^$$srcdirstrip/||;t" \
  374 	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
  375 	case $$dist_files in \
  376 	  */*) $(MKDIR_P) `echo "$$dist_files" | \
  377 			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
  378 			   sort -u` ;; \
  379 	esac; \
  380 	for file in $$dist_files; do \
  381 	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
  382 	  if test -d $$d/$$file; then \
  383 	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
  384 	    if test -d "$(distdir)/$$file"; then \
  385 	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  386 	    fi; \
  387 	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  388 	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
  389 	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  390 	    fi; \
  391 	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
  392 	  else \
  393 	    test -f "$(distdir)/$$file" \
  394 	    || cp -p $$d/$$file "$(distdir)/$$file" \
  395 	    || exit 1; \
  396 	  fi; \
  397 	done
  398 	-test -n "$(am__skip_mode_fix)" \
  399 	|| find "$(distdir)" -type d ! -perm -755 \
  400 		-exec chmod u+rwx,go+rx {} \; -o \
  401 	  ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
  402 	  ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
  403 	  ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
  404 	|| chmod -R a+r "$(distdir)"
  405 dist-gzip: distdir
  406 	tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
  407 	$(am__remove_distdir)
  408 
  409 dist-bzip2: distdir
  410 	tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
  411 	$(am__remove_distdir)
  412 
  413 dist-lzma: distdir
  414 	tardir=$(distdir) && $(am__tar) | lzma -9 -c >$(distdir).tar.lzma
  415 	$(am__remove_distdir)
  416 
  417 dist-xz: distdir
  418 	tardir=$(distdir) && $(am__tar) | xz -c >$(distdir).tar.xz
  419 	$(am__remove_distdir)
  420 
  421 dist-tarZ: distdir
  422 	tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
  423 	$(am__remove_distdir)
  424 
  425 dist-shar: distdir
  426 	shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
  427 	$(am__remove_distdir)
  428 
  429 dist-zip: distdir
  430 	-rm -f $(distdir).zip
  431 	zip -rq $(distdir).zip $(distdir)
  432 	$(am__remove_distdir)
  433 
  434 dist dist-all: distdir
  435 	tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
  436 	$(am__remove_distdir)
  437 
  438 # This target untars the dist file and tries a VPATH configuration.  Then
  439 # it guarantees that the distribution is self-contained by making another
  440 # tarfile.
  441 distcheck: dist
  442 	case '$(DIST_ARCHIVES)' in \
  443 	*.tar.gz*) \
  444 	  GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
  445 	*.tar.bz2*) \
  446 	  bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
  447 	*.tar.lzma*) \
  448 	  lzma -dc $(distdir).tar.lzma | $(am__untar) ;;\
  449 	*.tar.xz*) \
  450 	  xz -dc $(distdir).tar.xz | $(am__untar) ;;\
  451 	*.tar.Z*) \
  452 	  uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
  453 	*.shar.gz*) \
  454 	  GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
  455 	*.zip*) \
  456 	  unzip $(distdir).zip ;;\
  457 	esac
  458 	chmod -R a-w $(distdir); chmod a+w $(distdir)
  459 	mkdir $(distdir)/_build
  460 	mkdir $(distdir)/_inst
  461 	chmod a-w $(distdir)
  462 	test -d $(distdir)/_build || exit 0; \
  463 	dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
  464 	  && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
  465 	  && am__cwd=`pwd` \
  466 	  && $(am__cd) $(distdir)/_build \
  467 	  && ../configure --srcdir=.. --prefix="$$dc_install_base" \
  468 	    $(DISTCHECK_CONFIGURE_FLAGS) \
  469 	  && $(MAKE) $(AM_MAKEFLAGS) \
  470 	  && $(MAKE) $(AM_MAKEFLAGS) dvi \
  471 	  && $(MAKE) $(AM_MAKEFLAGS) check \
  472 	  && $(MAKE) $(AM_MAKEFLAGS) install \
  473 	  && $(MAKE) $(AM_MAKEFLAGS) installcheck \
  474 	  && $(MAKE) $(AM_MAKEFLAGS) uninstall \
  475 	  && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
  476 	        distuninstallcheck \
  477 	  && chmod -R a-w "$$dc_install_base" \
  478 	  && ({ \
  479 	       (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
  480 	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
  481 	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
  482 	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
  483 	            distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
  484 	      } || { rm -rf "$$dc_destdir"; exit 1; }) \
  485 	  && rm -rf "$$dc_destdir" \
  486 	  && $(MAKE) $(AM_MAKEFLAGS) dist \
  487 	  && rm -rf $(DIST_ARCHIVES) \
  488 	  && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
  489 	  && cd "$$am__cwd" \
  490 	  || exit 1
  491 	$(am__remove_distdir)
  492 	@(echo "$(distdir) archives ready for distribution: "; \
  493 	  list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
  494 	  sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
  495 distuninstallcheck:
  496 	@$(am__cd) '$(distuninstallcheck_dir)' \
  497 	&& test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
  498 	   || { echo "ERROR: files left after uninstall:" ; \
  499 	        if test -n "$(DESTDIR)"; then \
  500 	          echo "  (check DESTDIR support)"; \
  501 	        fi ; \
  502 	        $(distuninstallcheck_listfiles) ; \
  503 	        exit 1; } >&2
  504 distcleancheck: distclean
  505 	@if test '$(srcdir)' = . ; then \
  506 	  echo "ERROR: distcleancheck can only run from a VPATH build" ; \
  507 	  exit 1 ; \
  508 	fi
  509 	@test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
  510 	  || { echo "ERROR: files left in build directory after distclean:" ; \
  511 	       $(distcleancheck_listfiles) ; \
  512 	       exit 1; } >&2
  513 check-am: all-am
  514 check: check-am
  515 all-am: Makefile $(PROGRAMS) $(SCRIPTS) config.h
  516 installdirs:
  517 	for dir in "$(DESTDIR)$(bindir)"; do \
  518 	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
  519 	done
  520 install: install-am
  521 install-exec: install-exec-am
  522 install-data: install-data-am
  523 uninstall: uninstall-am
  524 
  525 install-am: all-am
  526 	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
  527 
  528 installcheck: installcheck-am
  529 install-strip:
  530 	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  531 	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  532 	  `test -z '$(STRIP)' || \
  533 	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
  534 mostlyclean-generic:
  535 
  536 clean-generic:
  537 
  538 distclean-generic:
  539 	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
  540 	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
  541 	-rm -f $(DEPDIR)/$(am__dirstamp)
  542 	-rm -f $(am__dirstamp)
  543 
  544 maintainer-clean-generic:
  545 	@echo "This command is intended for maintainers to use"
  546 	@echo "it deletes files that may require special tools to rebuild."
  547 clean: clean-am
  548 
  549 clean-am: clean-binPROGRAMS clean-generic mostlyclean-am
  550 
  551 distclean: distclean-am
  552 	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
  553 	-rm -rf $(DEPDIR)
  554 	-rm -f Makefile
  555 distclean-am: clean-am distclean-compile distclean-generic \
  556 	distclean-hdr distclean-tags
  557 
  558 dvi: dvi-am
  559 
  560 dvi-am:
  561 
  562 html: html-am
  563 
  564 html-am:
  565 
  566 info: info-am
  567 
  568 info-am:
  569 
  570 install-data-am:
  571 
  572 install-dvi: install-dvi-am
  573 
  574 install-dvi-am:
  575 
  576 install-exec-am: install-binPROGRAMS
  577 
  578 install-html: install-html-am
  579 
  580 install-html-am:
  581 
  582 install-info: install-info-am
  583 
  584 install-info-am:
  585 
  586 install-man:
  587 
  588 install-pdf: install-pdf-am
  589 
  590 install-pdf-am:
  591 
  592 install-ps: install-ps-am
  593 
  594 install-ps-am:
  595 
  596 installcheck-am:
  597 
  598 maintainer-clean: maintainer-clean-am
  599 	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
  600 	-rm -rf $(top_srcdir)/autom4te.cache
  601 	-rm -rf $(DEPDIR)
  602 	-rm -f Makefile
  603 maintainer-clean-am: distclean-am maintainer-clean-generic
  604 
  605 mostlyclean: mostlyclean-am
  606 
  607 mostlyclean-am: mostlyclean-compile mostlyclean-generic
  608 
  609 pdf: pdf-am
  610 
  611 pdf-am:
  612 
  613 ps: ps-am
  614 
  615 ps-am:
  616 
  617 uninstall-am: uninstall-binPROGRAMS
  618 
  619 .MAKE: all install-am install-strip
  620 
  621 .PHONY: CTAGS GTAGS all all-am am--refresh check check-am clean \
  622 	clean-binPROGRAMS clean-generic ctags dist dist-all dist-bzip2 \
  623 	dist-gzip dist-lzma dist-shar dist-tarZ dist-xz dist-zip \
  624 	distcheck distclean distclean-compile distclean-generic \
  625 	distclean-hdr distclean-tags distcleancheck distdir \
  626 	distuninstallcheck dvi dvi-am html html-am info info-am \
  627 	install install-am install-binPROGRAMS install-data \
  628 	install-data-am install-dvi install-dvi-am install-exec \
  629 	install-exec-am install-html install-html-am install-info \
  630 	install-info-am install-man install-pdf install-pdf-am \
  631 	install-ps install-ps-am install-strip installcheck \
  632 	installcheck-am installdirs maintainer-clean \
  633 	maintainer-clean-generic mostlyclean mostlyclean-compile \
  634 	mostlyclean-generic pdf pdf-am ps ps-am tags uninstall \
  635 	uninstall-am uninstall-binPROGRAMS
  636 
  637 
  638 # Tell versions [3.59,3.63) of GNU make to not export all variables.
  639 # Otherwise a system limit (for SysV at least) may be exceeded.
  640 .NOEXPORT: